## emelfm2 0.3.5

=== Makefile ===
# $Id: Makefile 560 2007-07-24 12:46:09Z tpgww $
#
# Copyright (C) 2003-2007 tooar <tooar@gmx.net>
#
# This file is part of emelFM2.
# emelFM2 is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# emelFM2 is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with emelFM2; see the file GPL. If not, contact the Free Software
# Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

# This is the Makefile of emelFM2. You should not change it!
# Edit the file Makefile.config to change build options.

# include user configuration
include Makefile.config

# this is effectively obsolete
ICON_SIZE = 48

# internal configuration
DIRS = src src/actions src/build src/command src/command/complete src/config \
       src/dialogs src/filesystem src/utils
LIBS = plugins
OPTLIBS = optional
ICONS = icons
OBJECTS_DIR = objs

TARGET = emelfm2

MARSHALS_PREFIX = e2_marshal
MARSHALS_LIST = src/build/$(MARSHALS_PREFIX).list
MARSHALS_HEADER = src/build/$(MARSHALS_PREFIX).h
MARSHALS_BODY = src/build/$(MARSHALS_PREFIX).c

API_DOC_DIR = docs/api

# build info for build.h
VERSION=0.3.5
#this is effectively a sub-version, to manage config file upgrades while not changing the version
RELEASE=
#RELEASE=.1
PROGNAME=emelFM2
BUILDDATE=$(shell date)
BUILDSTAMP=$(shell date +"%02d %b %04Y")
BUILDINFO=$(shell uname) $(shell uname -r)/$(shell uname -m)
COPYRIGHT=2003-$(shell date +"%04Y"), tooar <tooar@gmx.net>

#these are only used here for installation purposes
BIN_DIR = $(PREFIX)/bin
MAN_DIR = $(PREFIX)/share/man/man1
#as well as usage here, all in-code uses of these is assumed localised
ifeq ($(DOCS_VERSION), 1)
DOC_DIR = $(PREFIX)/share/doc/$(TARGET)-$(VERSION)
else
DOC_DIR = $(PREFIX)/share/doc/$(TARGET)
endif
#FIXME By default, apps should look for icons in $XDG_DATA_DIRS/icons and in /usr/share/pixmaps (in that order).
ICON_DIR = $(PREFIX)/share/pixmaps/$(TARGET)
LOCALE_DIR = $(PREFIX)/share/locale
PLUGINS_DIR = $(PREFIX)/lib/$(TARGET)/$(LIBS)

# optional plugins (and related icons, below)
PLUGFILEPREFIX=e2p_
ICONFILEPREFIX=plugin_
BASENAME1:=thumbs
BASENAME2:=track
BASENAME3:=acl
LIBS_XSOURCES=
LIBS_XHEADERS=
# when doing make install, make i18n etc don't want to have to supply optional plugin parameters
ifeq ($(WITH_THUMBS),0)
WITH_THUMBS:=$(shell test -f $(OBJECTS_DIR)/$(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME1).so && echo "1" || echo "0" 2>&1)
endif
ifeq ($(WITH_TRACKER),0)
WITH_TRACKER:=$(shell test -f $(OBJECTS_DIR)/$(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME2).so && echo "1" || echo "0" 2>&1)
endif
ifeq ($(WITH_ACL),0)
WITH_ACL:=$(shell test -f $(OBJECTS_DIR)/$(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME3).so && echo "1" || echo "0" 2>&1)
endif

ifeq ($(WITH_THUMBS),1)
LIBS_XSOURCES += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME1)*.c)
LIBS_XHEADERS += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME1)*.h)
endif
ifeq ($(WITH_TRACKER),1)
LIBS_XSOURCES += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME2)*.c)
LIBS_XHEADERS += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME2)*.h)
endif
ifeq ($(WITH_ACL),1)
LIBS_XSOURCES += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME3)*.c)
LIBS_XHEADERS += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME3)*.h)
endif

# object directories that have to be created
MKOBJDIRS = $(foreach dir, $(DIRS) $(LIBS), $(OBJECTS_DIR)/$(dir)) $(OBJECTS_DIR)/$(LIBS)/$(OPTLIBS)

SOURCES = $(foreach dir, $(DIRS), $(wildcard $(dir)/*.c))
HEADERS = $(foreach dir, $(DIRS), $(wildcard $(dir)/*.h))
OBJECTS = $(SOURCES:%.c=$(OBJECTS_DIR)/%.o)

LIBS_SOURCES = $(foreach dir, $(LIBS), $(wildcard $(dir)/*.c)) $(LIBS_XSOURCES)
LIBS_HEADERS = $(foreach dir, $(LIBS), $(wildcard $(dir)/*.h)) $(LIBS_XHEADERS)
# this includes none of any optional extra plugins, workaround provided below
LIBS_OBJECTS = $(LIBS_SOURCES:%.c=$(OBJECTS_DIR)/%.so)

DEP_FILES = $(SOURCES:%.c=$(OBJECTS_DIR)/%.deps)
LIBS_DEP_FILES = $(LIBS_SOURCES:%.c=$(OBJECTS_DIR)/%.deps)

PO_DIR = po
PO = $(wildcard $(PO_DIR)/*.po)
MO = $(PO:%.po=%.mo)

BUILD_FILE = src/build/build.h

# local include directories
LINC = $(foreach dir, $(DIRS), -I$(dir))
lCFLAGS = $(CFLAGS)

#these are redundant now
#lCFLAGS += -DGTK_DISABLE_DEPRECATED
#lCFLAGS += -DGDK_DISABLE_DEPRECATED
#lCFLAGS += -DG_DISABLE_DEPRECATED

# set up debugging
ifeq ($(DEBUG), 0)
# this default level omits all warning-message code
DEBUG_LEVEL ?= 2
else
#this is the highest level
DEBUG_LEVEL ?= 5
lCFLAGS += -g -O0
endif

#gamin code is a superset of FAM code, so gamin needs fam as well
ifeq ($(USE_GAMIN), 1)
USE_FAM = 1
endif
#FAM & gamin prevail over specific kernel monitoring
ifeq ($(USE_FAM),1)
WITH_KERNELFAM = 0
USE_INOTIFY = 0
USE_DNOTIFY = 0
endif
ifeq ($(USE_DNOTIFY),1)
WITH_KERNELFAM = 1
USE_INOTIFY = 0
else
ifeq ($(WITH_KERNELFAM),1)
WITH_KERNELFAM = 1
USE_INOTIFY = 1
endif
endif

#kernel-based monitoring also needs some of the fam code
#but we have to handle that below, to prevent incorrect lLDFLAGS

#other conditional defines set in $(BUILD_FILE) - see below

# set up i18n
BIN_XGETTEXT = $(shell which xgettext 2>/dev/null)
ifeq ($(BIN_XGETTEXT), "")
I18N = 0
endif
BIN_MSGFMT = $(shell which msgfmt 2>/dev/null)
ifeq ($(BIN_MSGFMT), "")
I18N = 0
endif
BIN_MSGMERGE = $(shell which msgmerge 2>/dev/null)
ifeq ($(BIN_MSGMERGE), "")
I18N = 0
endif
ifeq ($(I18N), 1)
lCFLAGS += -DENABLE_NLS
endif

# set up flags
# overflow protection with gcc4
#lCFLAGS += -D_FORTIFY_SOURCE
lCFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT -I. $(LINC)
ifeq ($(EDITOR_SPELLCHECK),1)
lCFLAGS += $(shell pkg-config --cflags gtk+-2.0 gthread-2.0 gtkspell-2.0)
else
lCFLAGS += $(shell pkg-config --cflags gtk+-2.0 gthread-2.0)
endif
ifeq ($(WITH_THUMBS),1)
lCFLAGS += $(shell pkg-config --cflags gimpthumb-2.0)
endif
#for gvfs development
ifeq ($(WITH_GVFS),1)
lCFLAGS += $(shell pkg-config --cflags gio-standalone)
endif

lLIBS_CFLAGS += -shared -fPIC -DPIC

lLDFLAGS = $(LDFLAGS)
# -lrt needed for clock_gettime()
lLIBS = $(shell pkg-config --libs gtk+-2.0 gthread-2.0 gmodule-2.0) -lrt
ifeq ($(USE_FAM),1)
lLIBS += -lfam
endif
ifeq ($(EDITOR_SPELLCHECK),1)
lLIBS += -lgtkspell
endif
ifeq ($(WITH_THUMBS),1)
lLIBS += $(shell pkg-config --libs gimpthumb-2.0)
endif
ifeq ($(WITH_TRACKER),1)
#	lLIBS += $(shell pkg-config --libs ??)
endif
ifeq ($(WITH_ACL),1)
lLIBS += -lacl
endif
# should not need translation
OPSYS := $(shell uname)
ifeq ($(OPSYS),FreeBSD)
OSREL = $(shell sysctl -n kern.osreldate)
lLIBS += $(shell if test $(OSREL) -lt 500041 ; then echo "-lgnugetopt"; fi)
endif

#for gvfs development
ifeq ($(WITH_GVFS),1)
lLIBS += $(shell pkg-config --libs gio-standalone)
endif

.PHONY: all plugins install install_plugins uninstall uninstall_plugins doc \
        clean deps marshals gettext i18n install_i18n uninstall_i18n \
		test test2 help

# targets
all: $(OBJECTS_DIR) $(BUILD_FILE) $(TARGET) $(LIBS)

plugins: $(OBJECTS_DIR) $(LIBS_OBJECTS)

install: all install_plugins
	@echo "installing $(TARGET) to prefix '$(PREFIX)'"
	@install -d -m 755 $(BIN_DIR)
	@install -m 755 $(TARGET) $(BIN_DIR)
	@install -d $(ICON_DIR)
	@for file in `ls icons/ |grep -v svn`; do \
		install -m 644 icons/$$file $(ICON_DIR); \
	done
	@install -d $(DOC_DIR)
	@for file in `ls docs/ |grep -v svn |grep -v desktop_environment |grep -v api |grep -v $(TARGET).1`; do \
		install -m 644 docs/$$file $(DOC_DIR); \
	done
	@install -d $(MAN_DIR)
	@install -m 644 docs/$(TARGET).1 $(MAN_DIR);
	@bzip2 -f $(MAN_DIR)/$(TARGET).1;

ifeq ($(XDG_INTEGRATION), 1)
		@install -d $(XDG_DESKTOP_DIR)
		@install -m 644 docs/desktop_environment/$(TARGET).desktop \
			$(XDG_DESKTOP_DIR)
		@install -d $(XDG_APPLICATION_DIR)
		@install -m 644 docs/desktop_environment/$(TARGET).applications \
			$(XDG_APPLICATION_DIR)
endif

install_plugins: plugins
	@echo "installing plugins to prefix '$(PREFIX)'"
	@install -d $(PLUGINS_DIR)
	@for file in "$(LIBS_OBJECTS)"; do \
		install -c -m 755 $$file $(PLUGINS_DIR); \
	done
	@for file in $$(ls -x $(OBJECTS_DIR)/$(LIBS)/$(OPTLIBS)/*.so); do \
		install -c -m 755 $$file $(PLUGINS_DIR); \
	done
	@install -d $(ICON_DIR)
ifeq ($(WITH_THUMBS),1)
	@install -c -m 644 $(LIBS)/$(OPTLIBS)/$(ICONFILEPREFIX)$(BASENAME1)_$(ICON_SIZE).png $(ICON_DIR);
endif
ifeq ($(WITH_TRACKER),1)
	@install -c -m 644 $(LIBS)/$(OPTLIBS)/$(ICONFILEPREFIX)$(BASENAME2)_$(ICON_SIZE).png $(ICON_DIR);
endif
ifeq ($(WITH_ACL),1)
	@install -c -m 644 $(LIBS)/$(OPTLIBS)/$(ICONFILEPREFIX)$(BASENAME3)_$(ICON_SIZE).png $(ICON_DIR);
endif

uninstall: uninstall_plugins
	@echo "uninstalling $(TARGET) from prefix '$(PREFIX)'"
	@rm -f $(BIN_DIR)/$(TARGET)
	@rm -rfd $(DOC_DIR)
#	@echo -e "\nif you like you can also delete the icon directory:\n\t$(ICON_DIR)\n"
	@rm -rfd $(ICON_DIR)
	@rm -f $(MAN_DIR)/$(TARGET).1.bz2;

uninstall_plugins:
	@echo "uninstalling plugins from '$(PREFIX)'"
	@test -d "$(PLUGINS_DIR)" && rm -rfd $(PLUGINS_DIR)
	@test -d "$(PREFIX)/lib/$(TARGET)" && rm -rfd $(PREFIX)/lib/$(TARGET)

doc:
	@echo -n "generating api documentation in '$(API_DOC_DIR)'"
	@rm -rfd $(API_DOC_DIR)
	@doxygen >/dev/null
	@echo

clean:
	@echo "cleaning up"
	@rm -f $(TARGET)
	@rm -f $(BUILD_FILE)
	@rm -f $(MARSHALS_BODY)
	@rm -f $(MARSHALS_HEADER)
	@rm -f *.bak
	@rm -f $(PO_DIR)/*.mo
	@rm -rfd $(OBJECTS_DIR)
	@rm -rfd $(API_DOC_DIR)

$(TARGET): $(OBJECTS)
	@echo "linking binary '$(TARGET)'"
	@$(CC) $(lCFLAGS) $(lLDFLAGS) $(OBJECTS) $(lLIBS) -o $(TARGET)
ifneq ($(DEBUG), 1)
	@echo "stripping binary '$(TARGET)'"
	@strip $(TARGET)
endif

$(OBJECTS): $(OBJECTS_DIR)/%.o: %.c
	@echo "compiling '$*.c'"
	@$(CC) $(lCFLAGS) -c -o $@ $*.c

$(LIBS_OBJECTS): $(OBJECTS_DIR)/%.so: %.c
	@echo "compiling '$*.c'"
	@$(CC) $(lCFLAGS) $(lLIBS_CFLAGS) -o $@ $*.c

deps: $(DEP_FILES) $(LIB_DEP_FILES)
$(DEP_FILES): $(OBJECTS_DIR)
$(DEP_FILES): $(BUILD_FILE)
$(DEP_FILES): $(OBJECTS_DIR)/%.deps: %.c
	@echo "generating '$@'"
	@$(CC) $(lCFLAGS) -MM -o $@ $*.c

$(LIB_DEP_FILES): $(OBJECTS_DIR)
$(LIB_DEP_FILES): $(BUILD_FILE)
$(LIB_DEP_FILES): $(OBJECTS_DIR)/%.deps: %.c
	@echo "generating '$@'"
	@$(CC) $(lCFLAGS) $(lLIBS_CFLAGS) -MM -o $@ $*.c

$(DEPS_FILE): $(BUILD_FILE)
	@echo "generating dependencies: '$(DEPS_FILE)'"
	@touch $(DEPS_FILE)
	@makedepend -s "# generated dependencies" -f $(DEPS_FILE) -- $(lCFLAGS) -- $(SOURCES)
	@rm $(DEPS_FILE).bak

marshals: $(MARSHALS_HEADER) $(MARSHALS_BODY)
$(MARSHALS_HEADER): $(MARSHALS_LIST)
	@echo "generating marshals"
	@glib-genmarshal --prefix=$(MARSHALS_PREFIX) $(MARSHALS_LIST) --header >$(MARSHALS_HEADER)
$(MARSHALS_BODY): $(MARSHALS_LIST)
	@glib-genmarshal --prefix=$(MARSHALS_PREFIX) $(MARSHALS_LIST) --body >$(MARSHALS_BODY)

$(MO): $(PO_DIR)/%.mo: $(PO_DIR)/%.po
	@echo "formatting '$*.po'"
	@$(BIN_MSGFMT) $(PO_DIR)/$*.po -o $@

#gettext:
i18n:
	@$(BIN_XGETTEXT) $(foreach dir, $(DIRS) $(LIBS) $(LIBS)/$(OPTLIBS), -D $(dir)) \
		-p ./$(PO_DIR) --from-code=UTF-8 --no-wrap --omit-header -i -F \
		--copyright-holder="$(COPYRIGHT)" --keyword=_ --keyword=N_ \
		$(foreach file, $(SOURCES) $(HEADERS) $(LIBS_SOURCES) $(LIBS_HEADERS), $(shell basename $(file)))
	@mv -f $(PO_DIR)/messages.po $(PO_DIR)/$(TARGET).pot
# if we want new messages start with english equivalent instead of empty
# create a po to use for updating
#	@cd $(PO_DIR); msginit --input $(TARGET).pot --output en_US.po --no-translator \
#		--locale=en_US >/dev/null 2>/dev/null
#	@cd $(PO_DIR); for i in `ls *.po` ; do \
#		if [ "$$i" != "en_US.po" ] ; then \
#		echo "updating $$i" ; \
#		$(BIN_MSGMERGE) --update --backup=none $$i en_US.po ; \
#		$(BIN_MSGFMT) $$i -o `echo $$i | sed -e s/.po/.mo/` ; \
#		fi \

## emelfm2 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# $Id: Makefile 560 2007-07-24 12:46:09Z tpgww $
+# $Id: Makefile 879 2008-05-12 00:04:41Z tpgww $
 #
-# Copyright (C) 2003-2007 tooar <tooar@gmx.net>
+# Copyright (C) 2003-2008 tooar <tooar@gmx.net>
 #
 # This file is part of emelFM2.
 # emelFM2 is free software; you can redistribute it and/or modify it
@@ -36,15 +36,10 @@
 
 TARGET = emelfm2
 
-MARSHALS_PREFIX = e2_marshal
-MARSHALS_LIST = src/build/$(MARSHALS_PREFIX).list
-MARSHALS_HEADER = src/build/$(MARSHALS_PREFIX).h
-MARSHALS_BODY = src/build/$(MARSHALS_PREFIX).c
-
 API_DOC_DIR = docs/api
 
 # build info for build.h
-VERSION=0.3.5
+VERSION=0.4.1
 #this is effectively a sub-version, to manage config file upgrades while not changing the version
 RELEASE=
 #RELEASE=.1
@@ -74,6 +69,7 @@
 BASENAME1:=thumbs
 BASENAME2:=track
 BASENAME3:=acl
+BASENAME4:=vfs
 LIBS_XSOURCES=
 LIBS_XHEADERS=
 # when doing make install, make i18n etc don't want to have to supply optional plugin parameters
@@ -86,6 +82,9 @@
 ifeq ($(WITH_ACL),0)
 WITH_ACL:=$(shell test -f $(OBJECTS_DIR)/$(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME3).so && echo "1" || echo "0" 2>&1)
 endif
+ifeq ($(WITH_VFS),0)
+WITH_VFS:=$(shell test -f $(OBJECTS_DIR)/$(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME4).so && echo "1" || echo "0" 2>&1)
+endif
 
 ifeq ($(WITH_THUMBS),1)
 LIBS_XSOURCES += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME1)*.c)
@@ -98,6 +97,9 @@
 ifeq ($(WITH_ACL),1)
 LIBS_XSOURCES += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME3)*.c)
 LIBS_XHEADERS += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME3)*.h)
+endif
+ifeq ($(WITH_VFS),1)
+LIBS_XSOURCES += $(wildcard $(LIBS)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME4)*.c)
 endif
 
 # object directories that have to be created
@@ -181,6 +183,9 @@
 ifeq ($(I18N), 1)
 lCFLAGS += -DENABLE_NLS
 endif
+
+# some code can be compiler-version-specific
+#GCCV=$(shell $(CC) -v 2>&1 | grep '^gcc version ' | sed 's/ (.*//; s/.* //')
 
 # set up flags
 # overflow protection with gcc4
@@ -191,15 +196,22 @@
 else
 lCFLAGS += $(shell pkg-config --cflags gtk+-2.0 gthread-2.0)
 endif
+ifeq ($(WITH_HAL),1)
+lCFLAGS += $(shell pkg-config --cflags dbus-1 dbus-glib-1 hal hal-storage)
+endif
+
+lLIBS_CFLAGS += -shared -fPIC -DPIC
 ifeq ($(WITH_THUMBS),1)
-lCFLAGS += $(shell pkg-config --cflags gimpthumb-2.0)
-endif
-#for gvfs development
+lLIBS_CFLAGS += $(shell pkg-config --cflags gimpthumb-2.0)
+endif
+#for vfs and gvfs plugin development
+ifeq ($(WITH_VFS),1)
+lLIBS_CFLAGS += $(shell pkg-config --cflags gio-2.0 gio-unix-2.0)
+else
 ifeq ($(WITH_GVFS),1)
-lCFLAGS += $(shell pkg-config --cflags gio-standalone)
-endif
-
-lLIBS_CFLAGS += -shared -fPIC -DPIC
+lLIBS_CFLAGS += $(shell pkg-config --cflags gio-2.0 gio-unix-2.0)
+endif
+endif
 
 lLDFLAGS = $(LDFLAGS)
 # -lrt needed for clock_gettime()
@@ -213,11 +225,22 @@
 ifeq ($(WITH_THUMBS),1)
 lLIBS += $(shell pkg-config --libs gimpthumb-2.0)
 endif
-ifeq ($(WITH_TRACKER),1)
-#	lLIBS += $(shell pkg-config --libs ??)
-endif
+#ifeq ($(WITH_TRACKER),1)
+#lLIBS += $(shell pkg-config --libs ??)
+#endif
 ifeq ($(WITH_ACL),1)
 lLIBS += -lacl
+endif
+ifeq ($(WITH_HAL),1)
+lLIBS += $(shell pkg-config --libs dbus-1 dbus-glib-1 hal hal-storage)
+endif
+# for vfs & gvfs development
+ifeq ($(WITH_VFS),1)
+lLIBS += $(shell pkg-config --libs gio-2.0 gio-unix-2.0)
+else
+ifeq ($(WITH_GVFS),1)
+lLIBS += $(shell pkg-config --libs gio-2.0 gio-unix-2.0)
+endif
 endif
 # should not need translation
 OPSYS := $(shell uname)
@@ -226,13 +249,8 @@
 lLIBS += $(shell if test $(OSREL) -lt 500041 ; then echo "-lgnugetopt"; fi)
 endif
 
-#for gvfs development
-ifeq ($(WITH_GVFS),1)
-lLIBS += $(shell pkg-config --libs gio-standalone)
-endif
-
 .PHONY: all plugins install install_plugins uninstall uninstall_plugins doc \
-        clean deps marshals gettext i18n install_i18n uninstall_i18n \
+        clean deps i18n install_i18n uninstall_i18n \
 		test test2 help
 
 # targets
@@ -254,15 +272,13 @@
 	done
 	@install -d $(MAN_DIR)
 	@install -m 644 docs/$(TARGET).1 $(MAN_DIR);
-	@bzip2 -f $(MAN_DIR)/$(TARGET).1;
+#	@bzip2 -f $(MAN_DIR)/$(TARGET).1;
 
 ifeq ($(XDG_INTEGRATION), 1)
-		@install -d $(XDG_DESKTOP_DIR)
-		@install -m 644 docs/desktop_environment/$(TARGET).desktop \
-			$(XDG_DESKTOP_DIR)
-		@install -d $(XDG_APPLICATION_DIR)
-		@install -m 644 docs/desktop_environment/$(TARGET).applications \
-			$(XDG_APPLICATION_DIR)
+	@install -d $(XDG_DESKTOP_DIR)
+	@install -m 644 docs/desktop_environment/$(TARGET).desktop $(XDG_DESKTOP_DIR)
+	@install -d $(XDG_APPLICATION_DIR)
+	@install -m 644 docs/desktop_environment/$(TARGET).applications $(XDG_APPLICATION_DIR)
 endif
 
 install_plugins: plugins
@@ -271,7 +287,7 @@
 	@for file in "$(LIBS_OBJECTS)"; do \
 		install -c -m 755 $$file $(PLUGINS_DIR); \
 	done
-	@for file in $$(ls -x $(OBJECTS_DIR)/$(LIBS)/$(OPTLIBS)/*.so); do \
+	@for file in $$(ls -x $(OBJECTS_DIR)/$(LIBS)/$(OPTLIBS)/*.so 2>/dev/null); do \
 		install -c -m 755 $$file $(PLUGINS_DIR); \
 	done
 	@install -d $(ICON_DIR)
@@ -308,8 +324,6 @@
 	@echo "cleaning up"
 	@rm -f $(TARGET)
 	@rm -f $(BUILD_FILE)
-	@rm -f $(MARSHALS_BODY)
-	@rm -f $(MARSHALS_HEADER)
 	@rm -f *.bak
 	@rm -f $(PO_DIR)/*.mo
 	@rm -rfd $(OBJECTS_DIR)
@@ -349,13 +363,6 @@
 	@touch $(DEPS_FILE)
 	@makedepend -s "# generated dependencies" -f $(DEPS_FILE) -- $(lCFLAGS) -- $(SOURCES)
 	@rm $(DEPS_FILE).bak
-
-marshals: $(MARSHALS_HEADER) $(MARSHALS_BODY)
-$(MARSHALS_HEADER): $(MARSHALS_LIST)
-	@echo "generating marshals"
-	@glib-genmarshal --prefix=$(MARSHALS_PREFIX) $(MARSHALS_LIST) --header >$(MARSHALS_HEADER)
-$(MARSHALS_BODY): $(MARSHALS_LIST)
-	@glib-genmarshal --prefix=$(MARSHALS_PREFIX) $(MARSHALS_LIST) --body >$(MARSHALS_BODY)
 
 $(MO): $(PO_DIR)/%.mo: $(PO_DIR)/%.po
 	@echo "formatting '$*.po'"
@@ -371,10 +378,3 @@
 # if we want new messages start with english equivalent instead of empty
 # create a po to use for updating
 #	@cd $(PO_DIR); msginit --input $(TARGET).pot --output en_US.po --no-translator \
-#		--locale=en_US >/dev/null 2>/dev/null
-#	@cd $(PO_DIR); for i in `ls *.po` ; do \
-#		if [ "$$i" != "en_US.po" ] ; then \
-#		echo "updating $$i" ; \
-#		$(BIN_MSGMERGE) --update --backup=none $$i en_US.po ; \
-#		$(BIN_MSGFMT) $$i -o `echo $$i | sed -e s/.po/.mo/` ; \
-#		fi \

## emelfm2 0.7.2

=== Makefile ===
# $Id: Makefile 2063 2010-03-03 11:54:07Z tpgww $
#
# Copyright (C) 2003-2009 tooar <tooar@emelfm2.net>
#
# This file is part of emelFM2.
# emelFM2 is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# emelFM2 is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with emelFM2; see the file GPL. If not, contact the Free Software
# Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

# This is the Makefile of emelFM2. You should not change it!
# Edit the file Makefile.config to change build options.

# include user configuration
include Makefile.config

# internal configuration
DIRS=src src/actions src/build src/command src/command/complete src/config \
     src/dialogs src/filesystem src/utils
LIBS=plugins
OPTLIBS=plugins/optional
ICONS=icons
OBJECTS_DIR=objs
DOCS=docs
PO_DIR=po
API_DIR=docs/api

BUILD_FILE=src/build/build.h

# build info for build.h
VERSION=0.7.2
#this is effectively a sub-version, to manage config file upgrades while not changing the version
RELEASE=
#RELEASE=.1
PROGNAME=emelFM2
BUILDDATE=$(shell date)
BUILDSTAMP=$(shell date +"%02d %b %04Y")
BUILDINFO=$(shell uname) $(shell uname -r)/$(shell uname -m)
COPYRIGHT=2003-$(shell date +"%04Y"), tooar <tooar@emelfm2.net>

ifeq ($(DOCS_VERSION), 1)
# cannot use just +=, that inserts a space
TMP:=$(DOC_DIR)-$(VERSION)
DOC_DIR:=$(TMP)
endif

# object directories that have to be created
MKOBJDIRS = $(foreach dir, $(DIRS) $(LIBS) $(OPTLIBS), $(OBJECTS_DIR)/$(dir))

HEADERS = $(foreach dir, $(DIRS), $(wildcard $(dir)/*.h))
SOURCES = $(foreach dir, $(DIRS), $(wildcard $(dir)/*.c))
OBJECTS = $(SOURCES:%.c=$(OBJECTS_DIR)/%.o)
DEP_FILES = $(SOURCES:%.c=$(OBJECTS_DIR)/%.deps)

LIBS_HEADERS = $(foreach dir, $(LIBS), $(wildcard $(dir)/*.h))
LIBS_SOURCES = $(foreach dir, $(LIBS), $(wildcard $(dir)/*.c))
LIBS_OBJECTS = $(LIBS_SOURCES:%.c=$(OBJECTS_DIR)/%.so)
LIBS_DEP_FILES = $(LIBS_SOURCES:%.c=$(OBJECTS_DIR)/%.deps)

# optional plugins (and related icons, below)
PLUGFILEPREFIX=e2p_
ICONFILEPREFIX=plugin_
BASENAME1:=thumbs
BASENAME2:=track
BASENAME3:=acl
BASENAME4:=vfs

ifeq ($(WITH_THUMBS),0)
# when doing make install, make i18n etc don't want to have to supply optional plugin parameters
WITH_THUMBS:=$(shell test -f $(OBJECTS_DIR)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME1).so && echo "1" || echo "0" 2>&1)
endif
ifeq ($(WITH_THUMBS),1)
THUMBS_HEADERS = $(wildcard $(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME1)*.h)
THUMBS_SOURCES = $(wildcard $(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME1)*.c)
THUMBS_OBJECTS = $(THUMBS_SOURCES:%.c=$(OBJECTS_DIR)/%.so)
ifeq ($(STATIC_THUMBLIB),1)
THUMBS_FLAGS =
THUMBS_LIBS =
else
THUMBS_FLAGS = $(shell pkg-config --cflags gimpthumb-safe-2.0)
THUMBS_LIBS = $(shell pkg-config --libs gimpthumb-safe-2.0)
#THUMBS_FLAGS = $(shell pkg-config --cflags gimpthumb-2.0)
#THUMBS_LIBS = $(shell pkg-config --libs gimpthumb-2.0)
endif
endif

ifeq ($(WITH_ACL),0)
WITH_ACL:=$(shell test -f $(OBJECTS_DIR)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME3).so && echo "1" || echo "0" 2>&1)
endif
ifeq ($(WITH_ACL),1)
ACL_HEADERS = $(wildcard $(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME3)*.h)
ACL_SOURCES = $(wildcard $(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME3)*.c)
ACL_OBJECTS = $(ACL_SOURCES:%.c=$(OBJECTS_DIR)/%.so)
ACL_FLAGS =
ACL_LIBS = -lacl
endif

ifeq ($(WITH_TRACKER),0)
WITH_TRACKER:=$(shell test -f $(OBJECTS_DIR)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME2).so && echo "1" || echo "0" 2>&1)
endif
ifeq ($(WITH_TRACKER),1)
TRACKER_HEADERS = $(wildcard $(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME2)*.h)
TRACKER_SOURCES = $(wildcard $(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME2)*.c)
TRACKER_OBJECTS = $(TRACKER_SOURCES:%.c=$(OBJECTS_DIR)/%.so)
TRACKER_FLAGS = #$(shell pkg-config --cflags ??)
TRACKER_LIBS = #$(shell pkg-config --libs ??)
endif

ifeq ($(WITH_VFS),0)
WITH_VFS:=$(shell test -f $(OBJECTS_DIR)/$(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME4).so && echo "1" || echo "0" 2>&1)
endif
ifeq ($(WITH_VFS),1)
 VFS_HEADERS = $(wildcard $(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME4)*.h)
 VFS_SOURCES = $(wildcard $(OPTLIBS)/$(PLUGFILEPREFIX)$(BASENAME4)*.c)
 VFS_OBJECTS = $(VFS_SOURCES:%.c=$(OBJECTS_DIR)/%.so)
 VFS_FLAGS = $(shell pkg-config --cflags gio-2.0 gio-unix-2.0)
 VFS_LIBS = $(shell pkg-config --libs gio-2.0 gio-unix-2.0)
else
 ifeq ($(WITH_GVFS),1)
  VFS_HEADERS = #FIXME
  VFS_SOURCES = #FIXME
  VFS_OBJECTS = #FIXME
  VFS_FLAGS = $(shell pkg-config --cflags gio-2.0 gio-unix-2.0)
  VFS_LIBS = $(shell pkg-config --libs gio-2.0 gio-unix-2.0)
 endif
endif

LIBS_XHEADERS = $(THUMBS_HEADERS) $(ACL_HEADERS) $(TRACKER_HEADERS) $(VFS_HEADERS)
LIBS_XSOURCES = $(THUMBS_SOURCES) $(ACL_SOURCES) $(TRACKER_SOURCES) $(VFS_SOURCES)
LIBS_XOBJECTS = $(LIBS_XSOURCES:%.c=$(OBJECTS_DIR)/%.so)
LIBS_XDEP_FILES = $(LIBS_XSOURCES:%.c=$(OBJECTS_DIR)/%.deps)

# set up flags
lCFLAGS = $(CFLAGS)
ifeq ($(USE_LATEST), 1)
#these are redundant now
#lCFLAGS += -DGTK_DISABLE_DEPRECATED
#lCFLAGS += -DGDK_DISABLE_DEPRECATED
#lCFLAGS += -DG_DISABLE_DEPRECATED
#disable direct access to 'becoming-private' object-data
#lCFLAGS += -DGSEAL_ENABLE
endif

# set up debugging
ifeq ($(DEBUG), 0)
# this default level omits all warning-message code
DEBUG_LEVEL ?= 2
else
#this is the highest level
DEBUG_LEVEL ?= 5
lCFLAGS += -g -O0
endif

#gamin code is a superset of FAM code, so gamin needs fam as well
ifeq ($(USE_GAMIN), 1)
USE_FAM = 1
endif
#FAM & gamin prevail over specific kernel monitoring
ifeq ($(USE_FAM),1)
WITH_KERNELFAM = 0
USE_INOTIFY = 0
USE_DNOTIFY = 0
endif
ifeq ($(USE_DNOTIFY),1)
WITH_KERNELFAM = 1
USE_INOTIFY = 0
else
ifeq ($(WITH_KERNELFAM),1)
WITH_KERNELFAM = 1
USE_INOTIFY = 1
endif
endif

#other conditional defines set in $(BUILD_FILE) - see below

# set up i18n
BIN_XGETTEXT = $(shell which xgettext 2>/dev/null)
ifeq ($(BIN_XGETTEXT), "")
I18N = 0
endif
BIN_MSGFMT = $(shell which msgfmt 2>/dev/null)
ifeq ($(BIN_MSGFMT), "")
I18N = 0
endif
BIN_MSGMERGE = $(shell which msgmerge 2>/dev/null)
ifeq ($(BIN_MSGMERGE), "")
I18N = 0
endif
ifeq ($(I18N), 1)
PO_FILES=$(wildcard $(PO_DIR)/*.po)
MO_FILES=$(PO_FILES:%.po=%.mo)
lCFLAGS += -DENABLE_NLS
endif

# local include directories
LINC = $(foreach dir, $(DIRS), -I$(dir))
#LLIBINC = $(foreach dir, $(LIBS) $(OPTLIBS), -I$(dir))

# some code can be compiler-version-specific
#GCCV=$(shell $(CC) -v 2>&1 | grep '^gcc version ' | sed 's/ (.*//; s/.* //')

# overflow protection with gcc4
#lCFLAGS += -D_FORTIFY_SOURCE
lCFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT -I. $(LINC)
ifeq ($(EDITOR_SPELLCHECK),1)
lCFLAGS += $(shell pkg-config --cflags gtk+-2.0 gthread-2.0 gtkspell-2.0)
else
lCFLAGS += $(shell pkg-config --cflags gtk+-2.0 gthread-2.0)
endif
ifeq ($(WITH_DEVKIT),1)
lCFLAGS += $(shell pkg-config --cflags dbus-glib-1)
else
ifeq ($(WITH_HAL),1)
lCFLAGS += $(shell pkg-config --cflags dbus-1 dbus-glib-1 hal hal-storage)
endif
endif

lLIBS_CFLAGS = -shared -fPIC -DPIC

#setup linking
# -lrt needed for clock_gettime()
lLIBS = $(shell pkg-config --libs gtk+-2.0 gthread-2.0 gmodule-2.0) -lrt
ifeq ($(USE_FAM),1)
lLIBS += -lfam
endif
ifeq ($(EDITOR_SPELLCHECK),1)
lLIBS += -lgtkspell
endif
ifeq ($(WITH_DEVKIT),1)
lLIBS += $(shell pkg-config --libs dbus-glib-1)
else
ifeq ($(WITH_HAL),1)
lLIBS += $(shell pkg-config --libs dbus-1 dbus-glib-1 hal hal-storage)
endif
endif
# should not need translation
OPSYS := $(shell uname)
ifeq ($(OPSYS),FreeBSD)
OSREL = $(shell sysctl -n kern.osreldate)
lLIBS += $(shell if test $(OSREL) -lt 500041 ; then echo "-lgnugetopt"; fi)
endif

.PHONY: all plugins install install_plugins uninstall uninstall_plugins doc \
        clean clean_plugins deps i18n install_i18n uninstall_i18n \
        test test2 help

# targets
all: $(OBJECTS_DIR) $(BUILD_FILE) $(TARGET) $(LIBS) $(OPTLIBS)

plugins: $(OBJECTS_DIR)/$(LIBS) $(LIBS_OBJECTS) $(LIBS_XOBJECTS)

install: all install_plugins
	@echo "installing $(TARGET) to prefix '$(PREFIX)'"
	@install -d -m 755 $(BIN_DIR)
	@install -m 755 $(TARGET) $(BIN_DIR)
	@install -d $(ICON_DIR)
	@for file in `ls $(ICONS)/ |grep -v svn`; do \
		install -m 644 $(ICONS)/$$file $(ICON_DIR); \
	done
	@install -d $(DOC_DIR)
	@for file in `ls $(DOCS)/ |grep -v svn |grep -v desktop_environment |grep -v api |grep -v $(TARGET).1`; do \
		install -m 644 $(DOCS)/$$file $(DOC_DIR); \
	done
	@install -d $(MAN_DIR)
	@install -m 644 $(DOCS)/$(TARGET).1 $(MAN_DIR);
#	@bzip2 -f $(MAN_DIR)/$(TARGET).1;

	@if [ "`grep "#define E2_XDG" $(BUILD_FILE)`" = "#define E2_XDG" ]; then \
		install -d $(XDG_DESKTOP_DIR); \
		install -m 644 $(DOCS)/desktop_environment/$(TARGET).desktop $(XDG_DESKTOP_DIR); \
		install -d $(XDG_APPLICATION_DIR); \
		install -m 644 $(DOCS)/desktop_environment/$(TARGET).applications $(XDG_APPLICATION_DIR); \
	fi

# no i18n install unless specific target used

install_plugins: plugins
	@echo "installing plugins to prefix '$(PREFIX)'"
	@install -d $(PLUGINS_DIR)
	@for file in "$(LIBS_OBJECTS) $(LIBS_XOBJECTS)"; do \
		install -m 755 $$file $(PLUGINS_DIR); \
	done
	@install -d $(ICON_DIR)
#FIXME also handle svg icons etc
ifeq ($(WITH_THUMBS),1)
	@install -m 644 $(OPTLIBS)/$(ICONFILEPREFIX)$(BASENAME1)_48.png $(ICON_DIR);
endif
ifeq ($(WITH_TRACKER),1)
	@install -m 644 $(OPTLIBS)/$(ICONFILEPREFIX)$(BASENAME2)_48.png $(ICON_DIR);
endif
ifeq ($(WITH_ACL),1)
	@install -m 644 $(OPTLIBS)/$(ICONFILEPREFIX)$(BASENAME3)_48.png $(ICON_DIR);
endif

uninstall: uninstall_plugins
	@echo "uninstalling $(TARGET) from prefix '$(PREFIX)'"
	@rm -f $(BIN_DIR)/$(TARGET)
	@rm -rfd $(DOC_DIR)
#	@echo -e "\nif you like you can also delete the icon directory:\n\t$(ICON_DIR)\n"
	@rm -rfd $(ICON_DIR)
	@rm -f $(MAN_DIR)/$(TARGET).1*;

uninstall_plugins:
	@echo "uninstalling plugins from prefix '$(PREFIX)'"
# 2 removals in case the paths are different, divert any test failure with "|| cd ."
	@test -d "$(LIB_DIR)/$(TARGET)" && rm -rfd "$(LIB_DIR)/$(TARGET)" || cd .
	@test -d "$(PLUGINS_DIR)" && rm -rfd "$(PLUGINS_DIR)" || cd .

doc:
	@echo -n "generating api documentation in '$(API_DIR)'"
	@rm -rfd $(API_DIR)
	@doxygen >/dev/null
	@echo

clean:
	@echo "cleaning up"
	@rm -f $(TARGET)
	@rm -f $(BUILD_FILE)
	@rm -f *.bak
	@rm -f $(PO_DIR)/*.mo
	@rm -rfd $(OBJECTS_DIR)
	@rm -rfd $(API_DIR)

clean_plugins:
	@echo "cleaning up plugins"
	@rm -rfd $(OBJECTS_DIR)/$(LIBS)

$(TARGET): $(OBJECTS)
	@echo "linking binary '$(TARGET)'"
	@$(CC) $(LDFLAGS) $(OBJECTS) -o $(TARGET) -Wl,--as-needed $(lLIBS)
ifeq ($(STRIP), 1)
ifneq ($(DEBUG), 1)
	@echo "stripping binary '$(TARGET)'"
	@strip $(TARGET)
endif
endif

$(OBJECTS): $(OBJECTS_DIR)/%.o: %.c
	@echo "compiling '$*.c'"
	@$(CC) $(lCFLAGS) -c -o $@ $*.c

$(LIBS_OBJECTS): $(OBJECTS_DIR)/%.so: %.c
	@echo "compiling '$*.c'"
	@$(CC) $(lCFLAGS) $(lLIBS_CFLAGS) $(LDFLAGS) -o $@ $*.c
ifeq ($(STRIP), 1)
ifneq ($(DEBUG), 1)
	@strip -g $@
endif
endif

$(THUMBS_OBJECTS): $(OBJECTS_DIR)/%.so: %.c
	@echo "compiling '$*.c'"
	@$(CC) $(lCFLAGS) $(lLIBS_CFLAGS) $(THUMBS_FLAGS) $(LDFLAGS) -o $@ $*.c -Wl,--as-needed $(THUMBS_LIBS)
ifeq ($(STRIP), 1)
ifneq ($(DEBUG), 1)
	@strip -g $@
endif
endif

$(ACL_OBJECTS): $(OBJECTS_DIR)/%.so: %.c
	@echo "compiling '$*.c'"
	@$(CC) $(lCFLAGS) $(lLIBS_CFLAGS) $(ACL_FLAGS) $(LDFLAGS) -o $@ $*.c -Wl,--as-needed $(ACL_LIBS)
ifeq ($(STRIP), 1)
ifneq ($(DEBUG), 1)
	@strip -g $@
endif
endif

$(TRACKER_OBJECTS): $(OBJECTS_DIR)/%.so: %.c
	@echo "compiling '$*.c'"
	@$(CC) $(lCFLAGS) $(lLIBS_CFLAGS) $(TRACKER_FLAGS) $(LDFLAGS) -o $@ $*.c -Wl,--as-needed $(TRACKER_LIBS)
ifeq ($(STRIP), 1)
ifneq ($(DEBUG), 1)
	@strip -g $@
endif
endif

$(VFS_OBJECTS): $(OBJECTS_DIR)/%.so: %.c
	@echo "compiling '$*.c'"

## emelfm2 0.9.1

=== debian/changelog ===
emelfm2 (0.9.1-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Bump debhelper compat to 9.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 Mar 2018 12:13:59 -0700

emelfm2 (0.9.1-1~trusty~ppa1) trusty; urgency=low

  * New upstream release

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 29 Apr 2014 16:45:30 -0400

emelfm2 (0.9.0-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 01 Sep 2013 16:45:30 -0400

emelfm2 (0.8.2-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- Liviu Andronic <landronimirc@gmail.com>  Fri, 21 Dec 2012 16:45:30 -0400

emelfm2 (0.8.1-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 22 Apr 2012 16:45:30 -0400

emelfm2 (0.8.0-1~oneiric~ppa1) oneiric; urgency=low

  * Fix 'debian' rules and deps
  * Initial import

 -- Liviu Andronic <landronimirc@gmail.com>  Fri, 03 Feb 2012 16:45:30 -0400

emelfm2 (0.8.0-0ubuntu1~ppall1) lucid; urgency=low

  * New upstream release
  * added make parameter WITH_GTK2, which if set to 1 will ensure that gtk3 build-infrastructure is ignored
  * more gtk3 workarounds

 -- Nick Bryda <nickbryda@gmx.us>  Tue, 09 Aug 2011 16:45:30 -0400

emelfm2 (0.7.5-0ubuntu1~ppall1) lucid; urgency=low

  * New upstream release
  * make debian-unofficial stuff work again (i.e. after renaming the dir to debian)
  * remove dnotify support (still in offcuts, if someone wants it, something can be worked out)
  * improve usability of glob plugin including select _additional_ items if <Ctrl> pressed when proceeding
  * revamp auto-refresh mechanisms
  * udisks/devicekit-disks support (WITH_DEVKIT=1) uses glib API instead of libdbus-glib, for glib >= 2.26
  * bugfixes
  * support opening dirs with '&' in name
  * fix crash after entering a non-existent dir into a dirline
  * fix random crash when setting up dialogs
  * fix detection of tracker daemon in find plugin
  * fix hang sometimes when opening thumbnails plugin

 -- Nick Bryda <nickbryda@gmx.us>  Sun, 20 Feb 2011 22:50:42 -0500

emelfm2 (0.7.4-0ubuntu1~ppall) lucid; urgency=low

  * New upstream release
  * change Makefile default STATIC_THUMBLIB ?= 1 to WITH_THUMBLIB ?= 0
  * change thumbnails plugin to optionally work with renamed library 'libthumbs', available from website OtherDownloads?
  * support argument for file.du action, to specify file name/pattern instead of selected items
  * for gtk >= 2.20, show GtkSpinner? in status bar when file operation is in progress
  * refine history-menu creation (no duplicates etc), operation (activation during hover), and cacheing (limited no. of dirs)
  * revised inotify backend for file-alteration-monitoring
  * conform to gtk 3.0 API where relevant
  * bugfixes
    - when using HAL/devkit/udisks, don't display a filelist on an unmounted device
    - revised operation of pane.<bookmarks> action
    - block emission of "activate" signals after combo change in ownership dialog
    - fix crash when cd's repeated rapidly
    - fix bad setup of mkdir dialog for some users
    - fix setting group in ownership dialog for gtk >= 2.14

 -- Nick Bryda <nickbryda@gmx.us>  Sat, 04 Dec 2010 15:34:42 -0500

emelfm2 (0.7.3-0ubuntu1~ppall1) lucid; urgency=low

  * New upstream release
  * pack and unpack plugins support tar.xz archives
  * printing supports page-selection options of gtk's print-dialog
  * file info dialog for a directory reports count and usage of contained items
  * updated translations (except ru)
  * conform pack-plugin button label
  * fix crash in config plugin
  * fix crash when entering just "/" in a dirline
  * fix (again) processing of dirs named like "X ~ Y"
  * block status-bar updates during filelist updates, and vice versa

 -- Nick Bryda <nickbryda@gmx.us>  Wed, 14 Jul 2010 15:48:06 -0400

emelfm2 (0.7.2-0ubuntu1~ppall1) lucid; urgency=low

  * Build for Lucid

 -- Nick Bryda <nickbryda@gmx.us>  Tue, 13 Apr 2010 12:00:38 -0400

emelfm2 (0.7.2-0ubuntu1~ppakk1) karmic; urgency=low

  * reinstated cacheing of session forward/back histories, optional and enabled by default
  * added action pane.clear_history which clears either or both forward/back histories
  * added to default filelist-context-menu a sub-menu showing the pane's entire forward/back history
  * if built with E2_DEVKIT, it will work with UDisks if available, or else with DeviceKit?-Disks if available
  * select-same plugin scrolls to show 1st selected, if any
  * select-same plugin has a 2nd action, enabling partial matching e.g. 'pre-extension', with some related config options
  * find plugin tab-labels show colored text when any content of the tab is non-default
  * updated translations
  * bugfixes
    - eliminate some incorrect mismatches by comparer plugin

 -- Nick Bryda <nickbryda@gmx.us>  Thu, 11 Mar 2010 21:31:15 -0500

emelfm2 (0.7.1-0ubuntu1~ppakk1) karmic; urgency=low

  * New upstream release
  * don't always add activated-dirline content to the corresponding history
  * added action dirline.clear_history which removes current dirline string from the corresponding combo history
  * bugfixes
  * fix build with ASSIST
  * fix session-start divider positioning with horizontal panes on gtk 2.18
  * fix crash when closing a tree-dialog that's not yet populated
  * fix crash when attempting to open nested inaccessible dir
  * don't always recurse when changing owner/group

 -- Nick Bryda <nickbryda@gmx.us>  Tue, 29 Dec 2009 16:04:41 -0500

emelfm2 (0.7.0-0ubuntu1~ppakk1) karmic; urgency=low

  * New upstream release
  * by default, build relevant parts of customised libgimpthumb directly into thumbnails plugin
  * automatically send commands containing "&&" to external shell
  * pop up corresponding history menu when pointer hovers over toolbar go-forward or go-back button
  * updated translations
  * bugfixes
    - several data-dependant dialogs close, instead of crash, when main-window is rebuilt



=== debian/control ===
Source: emelfm2
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Liviu Andronic <landronimirc@gmail.com>
# XSBC-Original-Maintainer: Ralf Meyer <ranfyy@gmail.com>
Build-Depends: libglib2.0-dev,
               libgtk2.0-dev (>= 2.6),
               imagemagick,
               debhelper (>= 9),
               quilt (>= 0.46-7~),
               libmagic-dev,
               libgtkspell-dev (>= 2.0.14),
               libdbus-glib-1-dev,
               libacl1-dev
Standards-Version: 3.9.7
Homepage: http://emelfm2.net

Package: emelfm2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmagic1
Recommends: libbz2-1.0, liblzo2-2,
            grep (>= 2.5.3), sed (>= 4.1.5), udisks, policykit-1
Suggests: tracker-utils
Description: file manager for X/gtk
 emelFM2 is a file manager that implements the popular two-pane
 design. It features a simple GTK+2 interface, a flexible file
 typing scheme, and a built-in command line for executing commands
 without opening an external terminal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
#export DH_OPTIONS=-v

# Default CFLAGS are specified in package file Makefile.config.
# Any override must be passed to make as CFLAGS=<whatever> in MAKEOPTS
MAKEOPTS = \
 WITH_KERNELFAM=1 \
 NEW_COMMAND=1 \
 EDITOR_SPELLCHECK=1 \
 WITH_LATEST=1 \
 WITH_GTK2=1 \
 WITH_THUMBS=1 WITH_THUMBLIB=0 \
 WITH_TRACKER=1 \
 WITH_ACL=1 \
 WITH_POLKIT=1 \
 WITH_UDISKS=1 \
 WITH_OUTPUTSTYLES=1

# alternate for WITH_UDISKS :: WITH_HAL=1

#CFLAGS = -Wall -g

#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -O0
#else
#	CFLAGS += -O2
#endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build:  build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE) PREFIX=/usr $(MAKEOPTS)
	convert icons/emelfm2_32.png debian/emelfm2.xpm

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(RM) po/emelfm2.pot
	$(RM) debian/emelfm2.xpm

	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	$(RM) docs/INSTALL docs/GPL docs/LGPL
	$(MAKE) install PREFIX=$(CURDIR)/debian/emelfm2/usr/
	$(MAKE) install_i18n PREFIX=$(CURDIR)/debian/emelfm2/usr/
	cp -r $(CURDIR)/icons/* $(CURDIR)/debian/emelfm2/usr/share/pixmaps/emelfm2/
	cp $(CURDIR)/debian/*.xpm $(CURDIR)/debian/emelfm2/usr/share/pixmaps/emelfm2/
	ln -s emelfm2/emelfm2_48.png $(CURDIR)/debian/emelfm2/usr/share/pixmaps/emelfm2.png
	#cp $(CURDIR)/docs/USAGE $(CURDIR)/docs/CONFIGURATION $(CURDIR)/debian/emelfm2/usr/share/doc/emelfm2

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_strip
	#dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# You can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

version=3

http://emelfm2.net/rel/emelfm2-(.*)\.tar\.gz \
    debian \
    uupdate
